Bug 861815 - nfsd failed to restart after yum update
nfsd failed to restart after yum update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 18:27 EDT by Tom Lane
Modified: 2013-07-02 23:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:28:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2012-09-30 18:27:24 EDT
Description of problem:
I just did "yum update" and then rebooted.  After the reboot, nfsd failed to start (no such processes according to ps, and no incoming NFS service).  systemd claimed it was enabled:

$ sudo systemctl status nfs-server.service
nfs-server.service - NFS Server
          Loaded: loaded (/lib/systemd/system/nfs-server.service; enabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/nfs-server.service

I did a "systemctl start", and it started fine.  Then I tried another reboot, and this time it started fine.  There was nothing obviously related in /var/log/messages.

I observe that autofs was updated from 5.0.6-7 to 5.0.6-8 in this update, and I suppose that must've had something to do with it, but I dunno what.  It seems likely that this is really a systemd bug, but filing here first in case you have an idea of something that changed on your end.

Version-Release number of selected component (if applicable):
autofs-5.0.6-8.fc16.x86_64
systemd-37-25.fc16.x86_64

How reproducible:
Hard to say ... it didn't reproduce after rebooting.
Comment 1 Ian Kent 2012-10-09 23:09:56 EDT
(In reply to comment #0)
> Description of problem:
> I just did "yum update" and then rebooted.  After the reboot, nfsd failed to
> start (no such processes according to ps, and no incoming NFS service). 
> systemd claimed it was enabled:
> 
> $ sudo systemctl status nfs-server.service
> nfs-server.service - NFS Server
>           Loaded: loaded (/lib/systemd/system/nfs-server.service; enabled)
>           Active: inactive (dead)
>           CGroup: name=systemd:/system/nfs-server.service
> 
> I did a "systemctl start", and it started fine.  Then I tried another
> reboot, and this time it started fine.  There was nothing obviously related
> in /var/log/messages.
> 
> I observe that autofs was updated from 5.0.6-7 to 5.0.6-8 in this update,
> and I suppose that must've had something to do with it, but I dunno what. 
> It seems likely that this is really a systemd bug, but filing here first in
> case you have an idea of something that changed on your end.

But autofs is a client that used mount(8) and of course indirectly
mount.nfs(8). It doesn't have any relation to nfsd.
Comment 2 Fedora End Of Life 2013-01-16 12:38:16 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 17:28:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.